copy_file "app/controllers/home_controller.rb"
copy_file "app/controllers/concerns/basic_auth.rb"
copy_file "app/helpers/layout_helper.rb"

insert_into_file "app/controllers/application_controller.rb", after: /^class ApplicationController.*\n/ do
  <<-RUBY
  include BasicAuth
  RUBY
end

File.rename "app/views/layouts/application.html.erb", "app/views/layouts/application.html.erb.old"
run_with_clean_bundler_env "rails generate haml:application_layout convert"

copy_file "app/views/layouts/application.haml"

gsub_file "app/views/layouts/application.haml", "%title", <<-HAML
%title
      = strip_tags(yield(:title)) + " – " if content_for?(:title)
      #{app_const_base.titleize}
    %meta{:content => "#{app_const_base.titleize}", :name => "apple-mobile-web-app-title"}
HAML

copy_file "app/views/shared/_flash.haml"
copy_file "app/views/home/index.haml"
